This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes

Bug 820981

Summary: fix group queries to not return non-committed resources
Product: [Other] RHQ Project Reporter: John Mazzitelli <mazz>
Component: Core ServerAssignee: John Mazzitelli <mazz>
Status: CLOSED CURRENTRELEASE QA Contact: Mike Foley <mfoley>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 4.4CC: hrupp
Target Milestone: ---   
Target Release: RHQ 4.5.0   
Hardware: Unspecified   
OS: Unspecified   
See Also: https://bugzilla.redhat.com/show_bug.cgi?id=819897
https://bugzilla.redhat.com/show_bug.cgi?id=820432
https://bugzilla.redhat.com/show_bug.cgi?id=820716
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 841026 (view as bug list) Environment:
Last Closed: 2013-09-01 06:05:58 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 819897, 841026    

Description John Mazzitelli 2012-05-11 09:27:25 EDT
this issue was noticed while working on bug 819897 and a response to charles' comment #10 in that BZ:

> we shouldn't *ever* be showing 
> uncommitted resources in the regular inventory. The only place uncommitted 
> resources should appear is in the Import related resource lists.

I did a search in our java code for places where JPQL queries used the .implicitResources and .explicitResources collection and noticed many places where we don't filter out non-committed resources.

This issue is to correct and test those queries. We need good unit tests here because this is going to touch many group queries. Without good unit tests it would require good manual testing in the UI (which we will still do, but we need automated tests as well).
Comment 1 John Mazzitelli 2012-05-11 10:05:02 EDT
we also need to address bug 820716 since its related.
Comment 2 John Mazzitelli 2012-05-11 16:09:54 EDT
master commit: 3d1a2e5

this includes several more unit tests.
Comment 3 John Mazzitelli 2012-05-11 16:16:07 EDT
3f5f02c489179e81d783b49d8270ae869b74d404 fixes a test method name i forgot to change
Comment 4 John Mazzitelli 2012-05-14 11:15:34 EDT
git commit master: 5c02dfb fixes old unit tests that now have to make sure new resources created are in committed inventory state
Comment 5 Heiko W. Rupp 2013-09-01 06:05:58 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.